<!DOCTYPE html>
<html lang="en">
	<head>
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<title>Course 365 - Learning with unlimited!</title>

		<!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
		<link
			rel="stylesheet"
			href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
		/>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
		<link
			rel="stylesheet"
			href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
		/>
		<link
			rel="stylesheet"
			href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css"
		/>
		<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
		<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
		<!-- Các file css và js tự định nghĩa thêm -->
		<link rel="stylesheet" href="style.css" />
		<script src="course.js"></script>
	</head>
	<body>
		<div class="container">
			<div class="text-center">
				<h2>Danh sách khóa học</h2>
			</div>
			<div class="form-group">
				<button class="btn btn-success" id="btn-add-course">
					<i class="fa fa-plus"></i>&nbsp; Thêm course
				</button>
			</div>
		</div>
		<!-- Course Data Table -->
		<div class="container">
			<table
				class="table table-bordered table-striped table-hover"
				id="course-table"
			>
				<thead>
					<tr>
						<th>Id</th>
						<th>Course Code</th>
						<th>Course Name</th>
						<th>Price</th>
						<th>Duration</th>
						<th>Level</th>
						<th>TeacherName</th>
						<th>Action</th>
					</tr>
				</thead>
			</table>
		</div>
		<!-- Create course modal -->
		<div>
			<div id="create-course-modal" class="modal fade" tabindex="-1">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="h5-modal-title">Thêm Course</h5>
							<button class="close" data-dismiss="modal">&times;</button>
						</div>
						<div class="modal-body">
							<form>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-voucher-code">Course Code</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-courseCode"
											name="Course Code"
											placeholder="Course Code"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">Course Name</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-courseName"
											name="Course Name"
											placeholder="Course Name"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">Price</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-price"
											name="Price"
											placeholder="Price"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">Discount Price</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-discountPrice"
											name="discountPrice"
											placeholder="discountPrice"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">Duration</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-duration"
											name="duration"
											placeholder="duration"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-level">level</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" id="sel-level">
											<option value="Beginner">Beginner</option>
											<option value="Intermediate">Intermediate</option>
											<option value="Advanced">Advanced</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">Cover Image</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-coverImage"
											name="coverImage"
											placeholder="coverImage"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">Teacher Name</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-teacherName"
											name="teacherName"
											placeholder="teacherName"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-discount">Teacher Photo</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-create-teacherPhoto"
											name="teacherPhoto"
											placeholder="teacherPhoto"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-isPopular">is Popular</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" id="sel-isPopular">
											<option value="true">True</option>
											<option value="false">False</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-create-isTrending">Is Trending</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" id="sel-isTrending">
											<option value="true">True</option>
											<option value="false">False</option>
										</select>
									</div>
								</div>
							</form>
						</div>
						<div class="modal-footer">
							<button class="btn btn-success" id="btn-create-course">
								Insert Course
							</button>

							<button
								class="btn btn-secondary"
								id="btn-create-cancel"
								data-dismiss="modal"
							>
								Hủy bỏ
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- update course modal -->
		<div>
			<div id="update-course-modal" class="modal fade" tabindex="-1">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="h5-modal-title">Thêm Course</h5>
							<button class="close" data-dismiss="modal">&times;</button>
						</div>
						<div class="modal-body">
							<form>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-voucher-code">Course Code</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-courseCode"
											name="Course Code"
											placeholder="Course Code"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">Course Name</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-courseName"
											name="Course Name"
											placeholder="Course Name"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">Price</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-price"
											name="Price"
											placeholder="Price"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">Discount Price</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-discountPrice"
											name="discountPrice"
											placeholder="discountPrice"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">Duration</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-duration"
											name="duration"
											placeholder="duration"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-level">level</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" id="sel-update-level">
											<option value="Beginner">Beginner</option>
											<option value="Intermediate">Intermediate</option>
											<option value="Advanced">Advanced</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">Cover Image</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-coverImage"
											name="coverImage"
											placeholder="coverImage"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">Teacher Name</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-teacherName"
											name="teacherName"
											placeholder="teacherName"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-discount">Teacher Photo</label>
									</div>
									<div class="col-sm-8">
										<input
											type="text"
											id="input-update-teacherPhoto"
											name="teacherPhoto"
											placeholder="teacherPhoto"
											class="form-control"
										/>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-isPopular">is Popular</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" id="sel-update-isPopular">
											<option value="true">True</option>
											<option value="false">False</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="input-update-isTrending">Is Trending</label>
									</div>
									<div class="col-sm-8">
										<select class="form-control" id="sel-update-isTrending">
											<option value="true">True</option>
											<option value="false">False</option>
										</select>
									</div>
								</div>
							</form>
						</div>
						<div class="modal-footer">
							<button class="btn btn-success" id="btn-update-course">
								Sửa
							</button>

							<button
								class="btn btn-secondary"
								id="btn-update-cancel"
								data-dismiss="modal"
							>
								Hủy bỏ
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- Delete confirm modal -->
		<div>
			<div class="modal fade" tabindex="-1" id="delete-confirm-modal">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="h5-modal-title">
								Course Delete Confirmation
							</h5>
							<button class="close" data-dismiss="modal">&times;</button>
						</div>
						<div class="modal-body">
							<label>Bạn có chắc chắn muốn xóa Course này không?</label>
						</div>
						<div class="modal-footer">
							<button class="btn btn-danger" id="btn-confirm-delete-course">
								Confirm
							</button>
							<button class="btn btn-secondary" data-dismiss="modal">
								Cancel
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
